<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.textbook.mapper.WfTextbookClaimItemMapper">
    <select id="getListByWfTextbookClaimId" parameterType="java.lang.Long"
            resultType="com.xjrsoft.module.textbook.vo.WfTextbookClaimItemVo">
        SELECT
            t.*,
            t1.book_name as textbookIdCN
        FROM wf_textbook_claim_item t
                 LEFT JOIN textbook t1 ON (t1.id = t.textbook_id)
        WHERE t.delete_mark = 0 and t.wf_textbook_claim_id = #{id}
        order by t.id;
    </select>
</mapper>